#
# spec file for package postgresql (Version 7.4.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  kerberos-devel-packages openssl openssl-devel pam-devel readline readline-devel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils e2fsprogs-devel gcc gdbm gettext heimdal heimdal-devel heimdal-lib libtool openssl-devel pam-devel perl readline-devel rpm

Name:           postgresql
Summary:        Basic clients and utilities for PostgreSQL
Version:        7.4.13
Release:        0.4
License:        BSD
Group:          Productivity/Databases/Tools
Source0:        postgresql-%version.tar.bz2
Source1:        postgresql-logrotate
Source2:        postgresql-README.SuSE.de
Source3:        postgresql-README.SuSE.en
Source8:        postgresql-sysconfig
Source9:        postgresql-init
Source15:       postgresql-bashprofile
Source20:       postgresql-SECURITY-NOTICE
Source21:       postgresql-CAN-2005-1409-1410-fix.sh
Patch1:         postgresql-config.patch
Patch2:         postgresql-regression.patch
Patch4:         postgresql-s390x.patch
Patch8:         postgresql-pg_ctl.patch
Patch9:         postgresql-fpic.patch
Patch10:        postgresql-tighten.patch
Patch12:        postgresql-dbase.patch
Patch13:        postgresql-PDT.patch
Patch64:        postgresql-multilib.patch
PreReq:         postgresql-libs = %version
URL:            http://www.postgresql.org/
Obsoletes:      postgresql-clients postgres
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

This package contains the basic utility and client programs to maintain
and work with (local or remote) PostgreSQL databases as well as manual
pages for the SQL commands, that are supported by PostgreSQL. The full
HTML documentation for PostgreSQL can be found in the postgresql-docs
package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package libs
Summary:        The shared libraries required for PostgreSQL clients
Group:          Productivity/Databases/Clients
Provides:       libpq.so.2.1 libpq.so pg_ifa pg_lib postgresql-lib
Obsoletes:      pg_ifa pg_lib postgresql-lib
PreReq:         sh-utils fileutils

%description libs
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

This package provides the essential shared libraries for (almost) any
PostgreSQL client program or interface. You will need to install this
package in order to use any other PostgreSQL package or any clients
that need to connect to a PostgreSQL server.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package server
Summary:        The programs needed to create and run a PostgreSQL server
Group:          Productivity/Databases/Servers
PreReq:         /usr/sbin/useradd /usr/sbin/groupadd /sbin/chkconfig
PreReq:         %insserv_prereq %fillup_prereq
Requires:       postgresql = %version logrotate glibc-locale
Prereq:         postgresql /usr/bin/strings /bin/sed
Provides:       pg_serv postgres:/usr/lib/pgsql/bin/postmaster
Obsoletes:      pg_serv
%package docs
Summary:        HTML documentation for PostgreSQL
Group:          Productivity/Databases/Tools
Provides:       postgresql:/usr/share/doc/packages/postgresql/html

%description docs
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

This package contains the HTML documentation for PostgreSQL. The start
page is: file:///usr/share/doc/packages/postgresql/html/index.html .
Manual pages for PostgreSQL's SQL statements can be found in the
postgresql package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package contrib
Summary:        Contributed extensions and additions PostgreSQL
Group:          Productivity/Databases/Tools
Requires:       postgresql = %{version}

%description contrib
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

The postgresql-contrib package includes extensions and additions, that
are distributed along with the PostgreSQL sources, but are not (yet)
official parts of the PostgreSQL core.

Documentation for the modules contained in this package can be found
under /usr/share/doc/packages/postgresql/contrib .



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>


%description server
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

This package includes the programs needed to create and run a
PostgreSQL server, which will in turn allow you to create and maintain
PostgreSQL databases.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package devel
Summary:        PostgreSQL development header files and libraries
Group:          Productivity/Databases/Tools
Requires:       postgresql-libs = %{version}
Obsoletes:      pg_devel
Provides:       pg_devel pg_ifa:/usr/lib/pgsql/bin/ecpg

%description devel
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

This package contains the header files and libraries needed to compile
C applications which will directly interact with a PostgreSQL database
management server and the ecpg Embedded C Postgres preprocessor. You
need to install this package if you want to develop applications in C
which will interact with a PostgreSQL server.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%prep
%setup -q -n %{name}-%{version}
%patch1
%patch2
%patch4
%patch8
%patch9
%patch10
%patch12
%if %sles_version == 9 || %suse_version > 930
# SLES9 and everything from 10.0 onwards have the new US timezones in
# glibc-locale, so we need to fix the regression tests.
%patch13
%endif
%patch64

%build
autoconf
export CFLAGS="%optflags"
export LIBNAME=%{_lib}
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--bindir=%_bindir \
	--includedir=%_includedir/pgsql \
	--datadir=%_datadir/postgresql \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--with-includes="/usr/include/heimdal /usr/include/et" \
	--disable-rpath \
	--enable-nls \
	--enable-thread-safety \
	--enable-integer-datetimes \
	--without-python \
	--without-perl \
	--without-tcl \
	--without-tk \
	--with-openssl \
	--with-pam \
	--with-krb5
make %{?jobs:-j%jobs} all
make %{?jobs:-j%jobs} -C contrib all
#
# Run the regression tests.
#
pushd src/test/regress
# The tests need to be run as non-root user.
if [ "$UID" = 0 ]
then
	chown -R nobody .
	su nobody -c "make check"
else
	make check
fi || {
  cat regression.diffs
  exit 1
}
make clean
popd

%install
rm -rf %buildroot
make DESTDIR=%buildroot install install-all-headers
# We have a separate PgTcl package, so we don't need this.
rm -f %buildroot/%_includedir/pgsql/libpgtcl.h
#
# Install and collect the contrib stuff
#
touch flag; sleep 1 # otherwise we have installed files that are not newer than flag
make DESTDIR=%buildroot -C contrib install
find %buildroot -type f -cnewer flag -printf "/%%P\n" |
     grep -v %_docdir > files.contrib
rm flag
for f in /etc/logrotate.d /etc/init.d /var/adm/fillup-templates /usr/sbin
do
	install -d %buildroot/$f
done
install -m 644 %{SOURCE1} %buildroot/etc/logrotate.d/postgresql
install -m 755 %{SOURCE9} %buildroot/etc/init.d/postgresql
install -m 644 %{SOURCE8} %buildroot/var/adm/fillup-templates/sysconfig.postgresql
ln -s ../../etc/init.d/postgresql %buildroot/usr/sbin/rcpostgresql
install -d -m 750 %buildroot/var/lib/pgsql
install -d -m 700 %buildroot/var/lib/pgsql/data
install -d -m 700 %buildroot/var/lib/pgsql/backups
sed 's,@LIBDIR@,%_libdir,g' %{SOURCE15} > \
	%buildroot/var/lib/pgsql/.bash_profile
# Backup directory for old version binaries
install -d %buildroot%_libdir/postgresql/backup
cp doc/FAQ doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* COPYRIGHT \
   README HISTORY doc/bug.template %buildroot%_docdir/postgresql
cp -a %SOURCE2 %buildroot%_docdir/postgresql/README.SuSE.de
cp -a %SOURCE3 %buildroot%_docdir/postgresql/README.SuSE.en
cp -a %SOURCE20 %buildroot%_docdir/postgresql/SECURITY-NOTICE
cp -a %SOURCE21 %buildroot%_docdir/postgresql/CAN-2005-1409-1410-fix.sh
chmod 755 %buildroot%_docdir/postgresql/CAN-2005-1409-1410-fix.sh
#
# get rid of stuff we don't want to package...
#
# There is a separate PgTcl package in SuSE Linux
rm -f %buildroot/usr/bin/pgtclsh
rm -f %buildroot/%_libdir/libpgtcl*
rm -f %buildroot/%_mandir/man1/pgtclsh*
rm -f %buildroot/%_mandir/man1/pgtksh*
rm -f %buildroot/%_includedir/pgsql/libpgtcl.h

%post libs
%{?run_ldconfig:%run_ldconfig}

%postun libs
%{?run_ldconfig:%run_ldconfig}

%post server
%{?fillup_and_insserv:%fillup_and_insserv -s postgresql START_POSTGRES}

%postun server
%{?restart_on_update:%restart_on_update postgresql}
%{?insserv_cleanup:%insserv_cleanup}
exit 0

%preun server
%{?stop_on_removal:%stop_on_removal postgresql}
exit 0

%pre server
groupadd -g 26 -o -r postgres >/dev/null 2>/dev/null || :
useradd -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" -u 26 postgres 2>/dev/null || :
# Need to make a backup of the server binary if this is an upgrade.
# It will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.
if [ -f usr/bin/postgres ]
then
  OLD_VERSION=$(strings usr/bin/postgres | 
    /bin/sed -n '/postmaster (PostgreSQL)/s/.* \([0-9]\+\.[0-9]\+\).*/\1/p')
  if [ "$OLD_VERSION" = "" ]
  then
    OLD_VERSION=$(strings usr/bin/postgres |
      /bin/sed -n 's/^PostgreSQL \([0-9]\+\.[0-9]\+\).*/\1/p')
  fi
  MINOR_VERSION=$(echo %version | sed 's/^\([0-9]\+\.[0-9]\+\).*/\1/')
  BACKUP_DIR=usr/%_lib/postgresql/backup/$OLD_VERSION
  if [ "$OLD_VERSION" != "$MINOR_VERSION" -a ! -f "$BACKUP_DIR" ]
  then
    mkdir -p $BACKUP_DIR
    for f in usr/bin/{postmaster,postgres}; do
      test -f $f && cp -a $f $BACKUP_DIR
    done
  fi
fi

%clean
rm -rf %buildroot
# Ok, we are dynamically generating some filelists.  These are by default
# under the BUILD/postgresql-x.y.z tree.
# Note that macros such as config are available in those lists.
# The lists differentiate between RedHat, SuSE, and others.

%files
%defattr(-,root,root)
%doc %_mandir/man7/*
%docdir %_docdir/postgresql
%dir %_docdir/postgresql
%_docdir/postgresql/[[:upper:]]*
%_docdir/postgresql/bug.template
%_datadir/locale/*/*/pg_dump.mo
%_datadir/locale/*/*/pgscripts.mo
%_datadir/locale/*/*/psql.mo
# command line tools
%_bindir/createdb
%doc %_mandir/man1/createdb.1*
%_bindir/clusterdb
%doc %_mandir/man1/clusterdb.1*
%_bindir/createlang
%doc %_mandir/man1/createlang.1*
%_bindir/createuser
%doc %_mandir/man1/createuser.1*
%_bindir/dropdb
%doc %_mandir/man1/dropdb.1*
%_bindir/droplang
%doc %_mandir/man1/droplang.1*
%_bindir/dropuser
%doc %_mandir/man1/dropuser.1*
%_bindir/pg_dump
%doc %_mandir/man1/pg_dump.1*
%_bindir/pg_dumpall
%doc %_mandir/man1/pg_dumpall.1*
%_bindir/pg_restore
%doc %_mandir/man1/pg_restore.1*
%_bindir/psql
%doc %_mandir/man1/psql.1*
%_bindir/vacuumdb
%doc %_mandir/man1/vacuumdb.1*

%files docs
%defattr(-,root,root)
%docdir %_docdir/postgresql
%dir %_docdir/postgresql
%_docdir/postgresql/html

%files contrib -f files.contrib
%defattr(-,root,root)
%docdir %_docdir/postgresql
%dir %_docdir/postgresql
%_docdir/postgresql/contrib
%dir %_libdir/postgresql
%dir %_datadir/postgresql
%dir %_datadir/postgresql/contrib

%files libs
%defattr(-,root,root)
%_libdir/libpq.so.*
%_libdir/libecpg*.so.*
%_libdir/libpgtypes.so.*
%_datadir/locale/*/*/libpq.mo

%files server
%defattr(-,root,root)
%config /etc/init.d/postgresql
%config /var/adm/fillup-templates/sysconfig.postgresql

%_sbindir/rcpostgresql
%config(noreplace) /etc/logrotate.d/postgresql
%dir %_libdir/postgresql
%dir %_libdir/postgresql/backup
%_libdir/postgresql/plpgsql.so
%_bindir/initdb
%doc %_mandir/man1/initdb.1*
%_bindir/initlocation
%doc %_mandir/man1/initlocation.1*
%_bindir/ipcclean
%doc %_mandir/man1/ipcclean.1*
%_bindir/pg_ctl
%doc %_mandir/man1/pg_ctl.1*
%_bindir/pg_controldata
%doc %_mandir/man1/pg_controldata.1*
%_bindir/pg_resetxlog
%doc %_mandir/man1/pg_resetxlog.1*
%_bindir/pg_encoding
%_bindir/pg_id
%_bindir/postgres
%doc %_mandir/man1/postgres.1*
%_bindir/postmaster
%doc %_mandir/man1/postmaster.1*
%dir %_datadir/postgresql
%_datadir/postgresql/*.sql
%_datadir/postgresql/*.conf.sample
%_datadir/postgresql/postgres.bki
%_datadir/postgresql/postgres.description
%_datadir/postgresql/sql_features.txt
%_datadir/locale/*/*/postgres.mo
%_datadir/locale/*/*/pg_controldata.mo
%_datadir/locale/*/*/pg_resetxlog.mo
%_libdir/postgresql/*_and_*.so
%attr(750,postgres,postgres) %dir /var/lib/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql/data
%attr(700,postgres,postgres) %dir /var/lib/pgsql/backups
%attr(640,postgres,postgres) %config(noreplace) /var/lib/pgsql/.bash_profile

%files devel
%defattr(-,root,root)
%_includedir/pgsql
%_bindir/ecpg
%_bindir/pg_config
%_libdir/lib*.a
%_libdir/libpq.so
%_libdir/libecpg*.so
%doc %_mandir/man1/ecpg.1*
%doc %_mandir/man1/pg_config.1*

%changelog -n postgresql
* Tue May 30 2006 - max@suse.de
- Constrain the US timezone fix to SLES9 and everything after 9.3.
* Wed May 24 2006 - max@suse.de
- Update to 7.4.13 to fix SQL injection vulnerabilities
  (bug #177931, CVE-2006-2313, CVE-2006-2314).
- Added an FAQ for these issues to SECURITY-NOTICE.
* Mon Jun 06 2005 - max@suse.de
- Added postgresql-CAN-2005-1409-1410-fix.sh for fixing existing
  installations, and referred to it in the SECURITY-NOTICE.
* Tue May 17 2005 - max@suse.de
- Added postgresql-SECURITY-NOTICE to describe the manual actions
  that are needed to apply the bugfixes from 7.4.9 to existing
  installations.
* Tue May 10 2005 - max@suse.de
- New patch release: 7.4.9
- Fixes bug #82869, CAN-2005-1410, and CAN-2005-1409
- Obsoletes postgresql-CAN-2005-0247.patch
* Mon Mar 14 2005 - max@suse.de
- Added postgresql-CAN-2005-0247.patch to fix bug #65692.
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0247
* Wed Feb 02 2005 - max@suse.de
- New patch release: 7.4.7. Fixes a security issue with LOAD and
  some other bugs (#50191). See HISTORY for details.
- Recoded README.de to UTF-8.
* Fri Dec 17 2004 - max@suse.de
- New patch release: 7.4.6. Fixes several security and data
  corrupton bugs (#47619). See HISTORY for details.
* Mon Sep 06 2004 - max@suse.de
- Created a separate spec file for the postgresql-pl subpackage.
* Fri Aug 20 2004 - max@suse.de
- New version: 7.4.5.
* Thu Jul 15 2004 - max@suse.de
- New version: 7.4.3.
* Mon May 24 2004 - max@suse.de
- Changed dependency of -devel from the main package to -libs
  (Bug #40922).
* Mon Apr 05 2004 - max@suse.de
- Added postgresql-regression.patch to prevent test failures
  during summertime/wintertime changes.
* Thu Mar 11 2004 - max@suse.de
- New patch release: 7.4.2
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 - max@suse.de
- New version: 7.4.1
- Write timestamps to /var/log/postgresql by default.
* Thu Dec 18 2003 - max@suse.de
- Package the backend headers as well (make install-all-headers),
  because they are needed for server-side modules written in C.
* Tue Nov 18 2003 - max@suse.de
- Install pg_config_manual.h and port.h, because they are needed
  by c.h (postgresql-include.patch).
* Mon Nov 17 2003 - max@suse.de
- New version: 7.4. For details see
  http://www.postgresql.org/docs/7.4/static/release.html, or
  /usr/share/doc/packages/postgresql/html/release.html
- Overhauled and simplified the spec file.
- Building with Kerberos-Support.
- Building thread-safe client libraries.
- Architecture-dependent tweaks for the testsuite are not needed
  anymore.
- Better detection for embedded Python build options.
* Mon Oct 20 2003 - schwab@suse.de
- Fix last change.
* Sat Oct 18 2003 - adrian@suse.de
- ignore minor mis-calculation on mips
- build as user
* Tue Sep 23 2003 - max@suse.de
- Fixed version detection in the pre script of the server package.
  (#31570)
- Ignore errors from stop_on_removal (#31607).
* Mon Sep 15 2003 - max@suse.de
- Activated the patch, that fixes dbf2pg (#27427). The patch was
  added to the package before, but accidentally didn't get applied.
- Improved handling of old versions of the backend (#27114).
- Stopping the server before uninstallation and restarting it
  after update (#29038).
* Fri Aug 29 2003 - mcihar@suse.cz
- python bindings require same python version as it was built with
* Thu Aug 14 2003 - max@suse.de
- Added ServiceRestart to sysconfig template.
* Thu Aug 14 2003 - ro@suse.de
- fixed chown usage in init-script
* Mon Aug 04 2003 - max@suse.de
- New version: 7.3.4.
- Adopted postgresql-multilib.patch from the official PostgreSQL
  RPMs. This obsoletes postgresql-lib64.patch.
- Use test-and-set locks for x86_64 instead of slow semaphores.
  (postgresql-x86_64.patch, Bug #27308)
- make use of %%jobs for parallel builds.
- Fix ownership of /etc/logrotate.d/postgresql (Bug #28431).
- Changed the default locale for the server to "C" to avoid a hard
  dependency to glibc-locale (bug #28338).
- Enabled charset conversion for dbf2pg (Bug #27427).
* Wed Jul 16 2003 - meissner@suse.de
- fix hanging builds by another rework of the ppc64
  locking. Apparently we need to do exact stcwx. ; bne ; isync
  sequences to stay correct.
* Tue Jun 24 2003 - meissner@suse.de
- Fixed the ppc/ppc64 locking, isync was at the wrong
  position. Replaced full sync by lwsync. slock_ts can
  be 32bit on ppc64 too, we just use lwarx/stwcx which
  handle 32bit components.
* Tue Jun 03 2003 - max@suse.de
- New version: 7.3.3.
- Remove unpackaged files.
- pg_hba.conf: only allow local connections from the same user
  by default.
* Fri Mar 14 2003 - max@suse.de
- Fixed generation of sql files in contrib, and really install the
  contrib stuff instead of just copying over the source tree
  (Bug #25323, postgresql-contrib.patch).
- Fixed the file-list of the server package.
* Wed Mar 12 2003 - max@suse.de
- Fixed a typo in the init script (Bug #25115).
* Thu Mar 06 2003 - max@suse.de
- Add support for LSB compatible exit codes for start and stop
  to pg_ctl (postgresql-lsb.patch).
- Use pg_ctl instead of startproc/killproc in init script, because
  it waits until the server is completely fired up or shut down.
  (Bug #24395)
- Removed the libpq.so.2.0 link from the package, because it got
  removed by ldconfig after installation anyways (Bug #24557).
* Tue Feb 25 2003 - max@suse.de
- Mark manpages as documentation.
- Create the backup directory during install.
* Mon Feb 24 2003 - max@suse.de
- Make a backup of the server binaries during update, and use the
  old server as long as the data files are still in the old format.
* Thu Feb 06 2003 - max@suse.de
- New patch release 7.3.2 which fixes several serious bugs.
  See HISTORY for details.
* Tue Jan 28 2003 - max@suse.de
- Added metadata for the sysconfig editor.
* Mon Jan 20 2003 - max@suse.de
- New version: 7.3.1
- Removed old update scripts, because they don't work anymore.
* Thu Jan 16 2003 - bg@suse.de
- Changed the expected test results for hppa to the correct files
* Fri Nov 29 2002 - max@suse.de
- New version 7.3.
- Compiling with PAM support.
- Client libraries (perl, tcl, odbc, pgeasy, pq++) have been
  taken out of the PostgreSQL core distribution and will be
  built as separate packages in the future.
- The plperl subpackage has been renamed to pl, and now contains
  PL/Perl, PL/Python, and PL/Tcl.
* Fri Sep 13 2002 - max@suse.de
- Added circle_poly-overrun.patch to fix a couple of
  buffer overruns.
* Thu Sep 12 2002 - max@suse.de
- Corrected symlink /usr/lib/libpq.so.2.0 [#19490].
- Fixed ownership of /var/lib/pgsql [#19523].
* Fri Sep 06 2002 - max@suse.de
- Recovered time stamps of source files and patches.
* Mon Sep 02 2002 - max@suse.de
- Updated to patch release 7.2.2 which fixes some security holes.
- Essential diff between 7.2.1 and 7.2.2 is included.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 19 2002 - kukuk@suse.de
- Fix requires egenix-mx-base -> python-egenix-mx-base
* Fri Aug 16 2002 - ro@suse.de
- don't chmod 644 to directories
* Wed Aug 14 2002 - ro@suse.de
- added "missingok" to logrotate config
* Fri Aug 09 2002 - max@suse.de
- Removed sysconfig from neededforbuild.
- Using x-devel-packages instead of xf86.
* Thu Aug 08 2002 - max@suse.de
- Removed support for older SuSE versions.
- Moved log file cration from %%post to rcpostgresql.
- Changed group for /etc/logrotate.d/postgresql.
* Mon Aug 05 2002 - max@suse.de
- Enabled the plperl subpackage.
* Tue Jul 30 2002 - max@suse.de
- Fixed regression tests for ppc64.
* Fri Jul 12 2002 - max@suse.de
- Re-enabled the regression tests.
- Running test suite as nobody.
- Adjusted ppc and lib64 patch to the scheme of the other
  platform patches.
- Better test-and-set assembler code for s390 and s390x.
- Creating postgres user and group during RPM installation.
* Tue Jun 18 2002 - meissner@suse.de
- use the powerpc assembler tas() for ppc64 too with adjusted assembler
  names.
* Fri May 24 2002 - max@suse.de
- New minor release: 7.2.1
- Temporaryly disabled the regression tests due to changes to
  mktime() that caused some tests to fail.
* Fri May 24 2002 - ke@suse.de
- postgresql-python requires egenix-mx-base (DateTime) [# 14745].
* Wed May 22 2002 - meissner@suse.de
- %%_lib fixes for lib64 architectures. Now fails at the same point as i386.
* Wed Mar 20 2002 - max@suse.de
- Changed postgresql package to PreReq postgresql-libs instead of
  postgresql-lib which is obsolete.
* Fri Mar 08 2002 - poeml@suse.de
- add missing / before %%_lib, fixing the preinstall script of -libs
  subpackage
* Wed Mar 06 2002 - max@suse.de
- Fixed test-and-set assembler code for s390x.
- Made finding of perl and python site-paths more portable.
- Fixed detection of SuSE dist for older releases.
- Some more %%_libdir corrections.
- Using -fPIC for building shared libs on all architectures.
- Leaving out tk and python subpackages if tk and python
  are not OK.
* Mon Mar 04 2002 - max@suse.de
- Fixed creation of pkgIndex.tcl
- Removed some python stuff from the spec file that is now part of
  PostgreSQL's build system.
- Removed unneeded executable permissions from a couple of files.
* Wed Feb 13 2002 - max@suse.de
- added support for logrotate
- changed sysconfig stuff and init script to run on both
  schemes (<=7.3 and >=8.0).
* Tue Feb 05 2002 - max@suse.de
- Updated to 7.2 final.
- See the file /usr/share/doc/packages/postgresql/HISTORY
  for changes and incompatibilities since version 7.1.x.
- Adapted the init script to match the new versions of killproc
  and PostgreSQL.
* Mon Jan 28 2002 - max@suse.de
- Updated to 7.2rc2
- Removed temporary header fix.
- Added a patch for autoconf-2.52 (disabled by derfault).
- Added english version of README.SuSE
* Tue Jan 22 2002 - max@suse.de
- removed os.h. It's not needed anymore.
- fixed locations of internal header files (temporary).
- postgresql-python now obsoletes pygresql.
- updated the files lists.
* Mon Jan 21 2002 - max@suse.de
- New version 7.2b5
* Tue Dec 18 2001 - max@suse.de
- Changed spec file to make use of %%{_libdir} where appropriate.
* Mon Dec 17 2001 - max@suse.de
- Removed the START_POSTGRES variable from the fillup template
  and changed init script, and spec file to the new scheme.
- Moved the remaining variables from /etc/rc.config to
  /etc/sysconfig/postgresql.
* Wed Sep 12 2001 - max@suse.de
- New version (patch release): 7.1.3
  The ChangeLog says:
- Remove unused WAL segements of large transactions (Tom)
- Multiaction rule fix (Tom)
- Pl/pgSQL memory allocation fix (Jan)
- VACUUM buffer fix (Tom)
- Regression test fixes (Tom)
- pg_dump fixes for GRANT/REVOKE/comments on views,
  user-defined types (Tom)
- Fix subselects with DISTINCT ON or LIMIT (Tom)
- BEOS fix
- Disable COPY TO/FROM a view (Tom)
- Cygwin build (Jason Tishler)
- Fixed bug in init script.
  It needed a file that comes only with postgresql-devel
- Better Patch for PgTcl. It now sets the client encoding to
  UNICODE (PostgreSQL's name for UTF-8) for Tcl versions >= 8.1
  instead of using Tcl's conversion functions to get the correct
  string representation.
- Added README.SuSE (only german, so far)
- Some minor typo fixes in the spec file.
* Mon Aug 27 2001 - utuerk@suse.de
- removed postgresql.conf (now provided by susehelp)
* Mon Jul 23 2001 - max@suse.de
- Fixed %%pre and %%post scripts for YaST.
* Thu Jul 19 2001 - max@suse.de
- fixed regression tests for SPARC32.
- fixed init script to warn about incompatible data files.
- added patch for Pgtcl to use UTF8 for internal string
  representation if compiled with Tcl >= 8.1 .
- added pkgIndex.tcl to allow dynamic loading of Pgtcl using
  Tcl's package mechanism.
* Wed Jul 11 2001 - max@suse.de
- fixed regression test to succeed on PPC with glibc-2.2.3 .
* Tue Jul 10 2001 - max@suse.de
- new version: 7.1.2
- packages again based on the official PostgreSQL RPMs.
- architecture patches are no longer needed.
- running the regression tests as part of the build process to
  ensure that only correctly built binaries get packed in.
- new subpackages: contrib, doc
- renamed subpackage lib to libs to conform to the official RPMs
- ToDo: (semi)automatic conversion for updates
  from versions prior 7.1.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 27 2001 - max@suse.de
- updated the init script to be more LSB compliant according to
  the current /etc/init.d/skeleton.
* Thu Apr 12 2001 - max@suse.de
- fix for deprecated declarations in readline 4.2.
- fixed permissons of some shared objects for the backend.
- recovered timestamps of sources.
* Wed Apr 11 2001 - utuerk@suse.de
- added postgresql.conf for susehelp
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 22 2001 - poeml@suse.de
- 7.0.* does not work on PPC unless compiled with -O0 (7.1 will)
* Wed Mar 07 2001 - max@suse.de
- added xshared and xdevel to neededforbuild
  because X is no longer in the default buildsystem.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Jan 24 2001 - max@suse.de
- added missing "Provides:" entries to specfile.
* Mon Jan 15 2001 - max@suse.de
- dropping the locale environment vars from the init script
  as workarround for a locale related bug in the backend.
  It shows up when the regression test runs on a backend that
  has e.g. LC_CTYPE=de_DE .
* Wed Nov 29 2000 - max@suse.de
- new version: 7.0.3
- spec file is based on Lamar Owen's source RPM of
  PostgreSQL-7.0.3 for SuSE Linux 7.0
- renamed the whole package
  postgres -> postgresql
  pg_lib   -> postgresql-lib
  pg_serv  -> postgresql-serv
  pg_devel -> postgresql-devel
  pg_tcl   -> postgresql-tcl
  pg_tk    -> postgresql-tk
  pg_odbc  -> postgresql-odbc
  pg_jdbc  -> postgresql-jdbc
  pg_pyth  -> postgresql-python
  pg_perl  -> postgresql-perl
  pg_test  -> postgresql-test
- renamed some files and scripts from *postgres* to *postgresql*
- moved to the LSB-compliant init scheme
- moved database initialisation from SuSEconfig.postgres
  into the init script
- changed postgresql-python to use Python2.0 instead of 1.5
* Sat Oct 28 2000 - kukuk@suse.de
- Add python-devel to need for build
* Tue Oct 24 2000 - bk@suse.de
- integrated change from max:
- changed /sbin/init.d/postgres and SuSEconfig.postgres
  to work arround YaST that quotes the value of POSTGRES_DATADIR
  in /etc/rc.config when it gets changed.
* Mon Sep 11 2000 - fober@suse.de
- made postgres run&autobuild on s390:
- src/include/port/linux.h, src/include/storage/s_lock.h:
  s390-assembler test-and-set (thanks to Andreas Jaeger)
- src/template/.similar, src/template/linux_s390:
  created linux_s390-Template from linux_ppc.
  TODO: is -O0 really needed?
- regression test passes (with minor deviations in floating point
  arithmetics)
  TODO: the regression test will not run out of the box as we install
  it.  this is the missing piece, either in postgres-source or in
  .spec
  [#] missing files
  cd $BUILD_ROOT/usr/src/packages/BUILD/postgresql-7.0.2/;
  cp -avP src/backend/*.h $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/include $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.port $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.global $RPM_BUILD_ROOT/usr/lib/pgsql
  [#] directory structure
  cd $RPM_BUILD_ROOT/usr/lib/pgsql
  mkdir src
  mv test src
  ln -s src/test .
* Mon Aug 28 2000 - max@suse.de
- changed installation order to fix bug #3802
* Mon Jul 03 2000 - max@suse.de
- Disabled fcntl(F_SETLK) on the postmaster socket to work arround
  a kernel bug in Linux <= 2.2.16.
- New subpackage: pg_lib contains the shared libs for C and C++.
* Thu Jun 29 2000 - schwab@suse.de
- Fix spinlocks for ia64.
- Reenable ia64 patch on the other architectures.
* Wed Jun 28 2000 - max@suse.de
- disabled the ia64 patch when building for other architectures
- database unload+reload on updates works now
- moved some script and config files out of the diff into
  source files of their own.
- template database creation moved from init script into SuSEconfig
- some minor cleanups
* Tue Jun 20 2000 - schwab@suse.de
- Add support for ia64.
* Fri Jun 09 2000 - max@suse.de
- New version: 7.0.2.
- Re-made the whole package based on the original PostgreSQL RPM.
- There is still a little work needed for clean updates from
  PostgreSQL 6.x to 7.0.x
- Heavy testing needed before SuSE Linux 7.0.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building postgres
* Thu Feb 10 2000 - ke@suse.de
- add more source files from the official PostgreSQL package.
- start to apply patches from there.
- start to cleanup the spec file.
- start to resolve bug #1948.
* Wed Feb 09 2000 - ke@suse.de
- add group tag.
- ./configure -> %%build.
- New default for rc.config variable START_POSTGRES ("no").
* Fri Dec 10 1999 - ke@suse.de
- update: version 6.5.3.
- startup script: use -S to remove the socket.
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - ke@suse.de
- postgresql init script: remove the socket in /tmp before trying to
  start the postmaster.
* Thu Jul 29 1999 - ke@suse.de
- update: version 6.5.1.
* Tue Jul 20 1999 - ke@suse.de
- remove MANPATH setting from /etc/postgres.{sh,csh} and from
  /etc/pg_ifa.{sh,csh}.
- provide manpage links at /usr/share/man:
  /usr/lib/pgsql/man/man?/*.?.gz -> /urs/share/man/man?/*.?.pgsql.gz
- now, you'll find all manpage in "pg_ifa".
* Thu Mar 18 1999 - ke@suse.de
- compile an install "spi" (on popular demand...).
* Wed Feb 10 1999 - ke@suse.de
- security fix: don't create pg_pwd with mode 666 (thanks to mt).
* Mon Feb 01 1999 - ke@suse.de
- fix permissions of libs (thanks to mt).
* Fri Jan 08 1999 - ke@suse.de
- update: version 6.4.2.
* Tue Dec 01 1998 - ke@suse.de
- add /etc/profile.d/{postgres,pg_ifa}.csh (thanks to werner).
- new bootscript (thanks to werner).
* Fri Nov 27 1998 - ke@suse.de
- link libpgtcl against libcrypt.
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Fri Oct 30 1998 - ke@suse.de
- update: version 6.4-BETA4.
* Sun Sep 27 1998 - ke@suse.de
- update: version pre6.4 (snapshot 1998-09-27).
- remove pgaccess (it's a separate package now).
- all libraries and binaries are under the separate hierarchy
  /usr/lib/pgsql (on customers' request...).
- provide /etc/profile.d/{postgres,pg_ifa}.sh; .csh files are still
  missing.
* Mon Aug 24 1998 - ke@suse.de
- shut down the postmaster before uninstalling.
* Tue Aug 18 1998 - ke@suse.de
- add pgaccess' GIFs (HTML documentation).
* Sat Jul 25 1998 - ke@suse.de
- Use `-n postgres' to make the `%%post' script available.
* Mon Jul 13 1998 - ke@suse.de
- update pgaccess: version 0.88.
* Thu May 28 1998 - ke@suse.de
- New package split: rip out the base interfaces (libraries and database
  tools); the new package is called pg_ifa (subpackage).
- update pgaccess: version 0.87.
* Fri May 22 1998 - ke@suse.de
- update: version 6.3.2
- package split to ease maintainability and user updates; now, we've the
  following packages:
  postgres : base packages, essential interfaces included (libpq,
  libpq++, libpqtcl and PgAccess).
  pg_datab : initial database (needed only for the first
  installation or in case of major number updates); if
  not installed, the user has to invoke `initdb'
  manually.
  pg_iface : PostgreSQL interfaces (Perl, JDBC, more to come...).
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Wed Feb 11 1998 - fehr@suse.de
- added the perl interface
* Wed Dec 10 1997 - ro@suse.de
- build static and dynamic version of dbbrowser and mpsql
* Wed Dec 03 1997 - ro@suse.de
- fixed /sbin/init.d/postgres (path, db-path, read rc.config)
  moved logfile to /var/log
* Tue Nov 18 1997 - bs@suse.de
- skipped man3/abort.3.gz
* Tue Nov 04 1997 - fehr@suse.de
- changed to version 6.2.1 of the new postgresSQL
- changed to version 1.5 of mpsql
- changed to version 0.2 of AppGEN
- added version 0.9 if dbbrowser
- prepare package for automatic build
- home Directory of postgrs user must now be /var/lib/postgres
- this Change is a major step since postgres95 it is possible
  that some changes are incompatible with the previos postgres
  versions.
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic link in /usr/doc/packages relative
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon May 12 1997 - fehr@suse.de
- added startup-script for /sbin/init.d
- added fillup for /etc/rc.config START_POSTGRES
